<?
 /*SCRIPT PARA MANTENIMIENTO DE CURSOS */
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/
  include("../fnc.php");
  enlinea_a();
  if(!$tipo_trn){
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }

  switch($tipo_trn){
   case "Add":
    $qver=mysql_query("select * from cursos where codigo = '$txtcodigo'");
    if(mysql_num_rows($qver)>0){
      $iver=mysql_fetch_array($qver);
      alert("ERROR: El codigo del curso que ingresó ingresó ya existe\\nCódigo: $txtcodigo\\nCurso: {$iver[curso]}","javascript:history.go(-1)");
    }
                //$txtcurso=strtoupper($txtcurso);
                $txtcodigo=strtoupper($txtcodigo);

                $sql="insert into
                      cursos
                      set codigo='$txtcodigo',
                      curso='$txtcurso',
                      boleta='$txtboleta',
                      oficial='$txtoficial',
                      promocion='$txtpromocion',
                      posicion_certificado='$txtposicioncertificado',
                      posicion_boleta='$txtposicionboleta',
                      punteo_aprobacion='$txtpunteoaprobacion'";

                 $ins=mysql_query($sql);

                 $sql2="insert into
                        cursos_grados
                        set
                        curso='$txtcodigo',
                        grado='$txtgrado'";
                 //echo $sql2;

                 $inscg=mysql_query($sql2);
                 $idg=enc($txtgrado);
                 if($ins){
                  //alert("Curso $txtcurso\\nagregado con éxito","frm_grado_v2.php?idgrado=$idg");
                  header("Location: frm_grado_cursos_v2.php?idgrado=$idg");
                 }else{
                  echo "ERROR: ".mysql_error();
                 }
   break;

   case "Update":
    $qver=mysql_query("select * from cursos where codigo = '$txtcodigo'");
    if(mysql_num_rows($qver)==0){
      alert("ERROR: El curso no existe","javascript:history.go(-1)");
    }
                $sql="update
                      cursos
                      set curso='$txtcurso',
                      boleta='$txtboleta',
                      oficial='$txtoficial',
                      promocion='$txtpromocion',
                      posicion_certificado='$txtposicioncertificado',
                      posicion_boleta='$txtposicionboleta',
                      punteo_aprobacion='$txtpunteoaprobacion'
                      where codigo='$txtcodigo'";

                $qupd=mysql_query($sql);
                if($qupd){alert("Curso: $txtcurso\\nactualizado con éxito","frm_grado_cursos_v2.php?idgrado=$idgrado");}else{echo "ERROR: ".mysql_error();}
   break;

   case "Delete":
                $id_cu=dec($idc);
                $id_gr=dec($idg);
                $sql="delete from cursos_grados
                      where
                      curso = '$id_cu'
                      and grado = '$id_gr'";

                $res=mysql_query($sql);
                $qdel2=mysql_query("delete from cursos where codigo = '$txtcodigo'");
                
                header("Location: ./frm_grado_cursos_v2.php?idgrado=$idg#cursos");
   break;
   default:
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }

?>
